RPG Maker MV 1.4.0 Update

Status
Not open for further replies.

Archeia

Level 99 Demi-fiend
Developer
Joined
Mar 1, 2012
Messages
15,056
Reaction score
15,342
First Language
Filipino
Primarily Uses
RMMZ
Hey everyone, the latest version of RPG Maker MV is here!

We would like to remind everyone to make sure to do the following steps before updating to ensure that when the update happens so your changes won’t be overwritten:
  • If you haven't already and are using steam to update, set RPG Maker MV's update to manual instead of automatic.
  • Make a backup of your Generator folder if you edited it.
  • Replace BGM files if you got it from 1.3.0.
If you have an old project that needs updating, do the following:
  • Make a backup of your project.
  • Create a new project or go to the NewData folder in your RPG Maker MV root (where MV is installed) folder.
  • Copy the new js files (RPG*.js and Libs Folder) and replace the one in your -old project.
  • DO NOT COPY plugins.js (the script file that stores all your plugin settings) or it will replace your plugin settings.
  • Copy index.html files to your current project.
  • It should now be updated!
Changelog
  • Linux export option, and Linux editor (for Desktop mode)
  • There's a tutorial feature added to the "Help" menu. It is still experimental, but it should help you to walk you through basic game making.
  • Added New RPG Maker MV Tools to the Tools menu.
  • Minor update to rpg_objects.js
RPG Maker MV OSS 1.1 Changelog
This is not yet merged to main until we are sure it is stable. However, if you are interested in the mobile development of RPG Maker MV, please check it out. Full details found here.

Download Link:
Reporting Bugs and/or Suggestions:
Visit the boards and read all the topics here first.
 
Last edited:

Oscar92player

Veteran
Veteran
Joined
Jul 26, 2012
Messages
511
Reaction score
227
First Language
Spanish
Primarily Uses
RMMV
Degica Dev has confirmed through Steam Announcements that there's a problem with the Windows users, that cannot longer open the RPG Maker MV after updating the engine. Hope this will be fixed soon, I would like to see the new "Tutorial" and "MV Tools" sections, sounds interesting.

P.S.: Nevermind, that was quick. Now that I have the updated version, I saw that the Tutorial section needs to be translated into Spanish, and fix other issues with some words with the MV Tools.


The name of the window should be "Herramientas de RPG Maker MV", and the button "Seleccionar directorio..." seems to be... out of place. It's better "Selecc. directorio..." or something like that to fix that problem.

Another thing... what is the "RPG Maker MV Tools" section? How we can use it? We need to know scripting or advanced knowledge to use it?
 
Last edited:

Iliketea

Tea lover
Veteran
Joined
Oct 28, 2015
Messages
848
Reaction score
939
First Language
German
It seems to work now, at least it does for me.
But what are these MV tools? Are they like plugin but for the editor?
 

Kyuukon

主人公
Veteran
Joined
Aug 22, 2013
Messages
2,215
Reaction score
1,077
First Language
Spanish
Primarily Uses
RMMV
Yeee... we'd like more details on that!
 

ItzTerry

Magician of Discord
Veteran
Joined
Oct 1, 2016
Messages
90
Reaction score
37
First Language
English
Primarily Uses
RMMV
Hm, the download won't work for me. I'm on a Mac, and it just always times outl.

Oh well, I'll find a way pass it.
 

AceOfAces_Mod

Engineering to infinity!
Veteran
Joined
Sep 7, 2014
Messages
1,713
Reaction score
1,196
First Language
Greek
Primarily Uses
RMVXA
I really wonder what is RPG Maker MV Tools exactly...
 

Andar

Veteran
Veteran
Joined
Mar 5, 2013
Messages
30,746
Reaction score
7,385
First Language
German
Primarily Uses
RMMV
Hm, the download won't work for me. I'm on a Mac, and it just always times outl.
The download links are windows only, the Mac Version is currently only on steam.
 

Jonforum

Veteran
Veteran
Joined
Mar 28, 2016
Messages
1,623
Reaction score
1,431
First Language
French
Primarily Uses
RMMV
Hey everyone, the latest version of RPG Maker MV is here!
.
Hey thanks a lot for this new update very interesting.
I had not done the last update was not interesting for me, but I'm really thrilled about this one.
There seems to have been a lot of change in the image management and memory.

Is that this may make it obsolete this plugin ?
https://forums.rpgmakerweb.com/index.php?threads/preload-manager.46515/

And am not fully understand this feature ?.
The memory management mechanism was introduced. We are no longer storing images above the upper limit of memory usage prescribed by the mechanism. This upper limit value is defined by ImageCache.limit, so you can change it with plugin as necessary.
Could someone give more details?
 

Slammy

Protector of the Library
Veteran
Joined
Feb 11, 2016
Messages
54
Reaction score
46
First Language
English
Primarily Uses
RMMV
This new Tools option seems very interesting. I hope it is what I think it is and this means we can make changes to the editor!
 

Bloodlines

Villager
Member
Joined
Mar 2, 2017
Messages
19
Reaction score
1
First Language
english
Primarily Uses
RMMV
Yay updates. Ill wait a few days before trying it out. tho :p
 

Astfgl66

Veteran
Veteran
Joined
Jan 5, 2016
Messages
721
Reaction score
578
First Language
French
Primarily Uses
Just a small not really important oversight: The RPGMaker version in utils hasn't been updated.
It still reads: Utils.RPGMAKER_VERSION = "1.3.5".
Yes, I've made sure that my core file is updated it does read "rpg_core.js v1.4.0" at the top.
I used it to check if I had done the updating process correctly, was surprised, and had to check the files to be sure.
You can reproduce it easily by creating a new project, going in the console and typing Utils.RPGMAKER_VERSION.


I am also intrigued by the RPGMaker MV Tools options, and can't wait to see what it'll be all about, and maybe how to make a tool ^^.
 

McSundae

Veteran
Veteran
Joined
Oct 28, 2015
Messages
214
Reaction score
220
First Language
German
THUMBS UP! Linux support is really really nice - well I'm not using it myself but I used it a very long time and I'm now on OSX - so I'm always happy if I can deploy to more platforms :)

Thanks for this update!
 

Diretooth

Lv. 25 Werewolf
Veteran
Joined
Mar 10, 2013
Messages
1,228
Reaction score
443
First Language
English
Primarily Uses
RMMV
Seems interesting enough. The Tools section seems to require something sold separately, based on the help page you go to when you press F1 in-editor.
 

Hoppy

Veteran
Veteran
Joined
Oct 6, 2015
Messages
325
Reaction score
53
First Language
English
If the Smach Z ever comes out, I can get the Smach Z and use it as a handheld RPG Maker MV device and I don't have to use Windows for it.
 

nio kasgami

VampCat
Veteran
Joined
May 21, 2013
Messages
8,949
Reaction score
3,038
First Language
French
Primarily Uses
RMMV
Yes for the new update! Although how do we actually use the "rpg maker Tools"?
it's simply a extentions who call the said editor?
what's are the requirement for this tool?
 

RoooodWorks

Devil King
Veteran
Joined
Jan 24, 2015
Messages
351
Reaction score
279
First Language
english
Primarily Uses
N/A
So I updated, I created a new project, plopped in the yanfly plugins.... Annnnnnnnnd the project broke. It works fine pressing new game and going to menu, but going into battle causes a bunch of errors, even tho it works fine in 1.3.5 and Yanfly sample project and the tons of other projects i made with 1.3.5 and below. I use both the exe version as well as steam, i manually updated the exe with the 'full updater' and steam updated automatically. The error appears on both versions. Image below shows the error I getting. If one more person asks 'Have you updated your project' I will punch someone.... I PRESSED NEW PROJECT So yes it is updated.
 

Jiffy

Veteran
Veteran
Joined
Jan 30, 2017
Messages
110
Reaction score
129
First Language
English
Primarily Uses
N/A
So I updated, I created a new project, plopped in the yanfly plugins.... Annnnnnnnnd the project broke. It works fine pressing new game and going to menu, but going into battle causes a bunch of errors, even tho it works fine in 1.3.5 and Yanfly sample project and the tons of other projects i made with 1.3.5 and below. I use both the exe version as well as steam, i manually updated the exe with the 'full updater' and steam updated automatically. The error appears on both versions. Image below shows the error I getting. If one more person asks 'Have you updated your project' I will punch someone.... I PRESSED NEW PROJECT So yes it is updated.
Yanfly probably needs to update his plugins.
 

AestheticGamer

Veteran
Veteran
Joined
Dec 27, 2014
Messages
54
Reaction score
24
First Language
English
Primarily Uses
For anyone wondering what tools are, the first tool for RPG Maker MV just launched on the Steam Store as DLC for MV:
 
Status
Not open for further replies.

Users Who Are Viewing This Thread (Users: 0, Guests: 1)

Latest Threads

Latest Profile Posts

It seems to me that I'm too lazy to make new MZ plugins with my full time job, so I'm porting my easy, simple and small MV plugins instead.
I hope I can port 1-2 such plugins per day, but this will be hard for me :)
just mechin' around this morning - MZ edit, feel free to use, must own MZ
I think it is absolutely adorable how Korone says "Eekum Bokum" and the fact she seems so amused by it. :LZSproud:

Justice is "Just ice" without a space
Hi, I was only a silent reader for years, finally I decided to create an account. Greetings all. :)

Forum statistics

Threads
103,305
Messages
998,679
Members
134,815
Latest member
sergo
Top